#!/bin/bash

set -eu -o pipefail

fqdn=$(hostname -f)

mkdir -p /home/cloudron/gogs/custom/conf

sed -e "s/##HOSTNAME/${fqdn}/g" \
    -e "s/##SSH_PORT/${SSH_PORT}/g" \
    -e "s/##MYSQL_HOST/${MYSQL_HOST}/g" \
    -e "s/##MYSQL_PORT/${MYSQL_PORT}/g" \
    -e "s/##MYSQL_USERNAME/${MYSQL_USERNAME}/g" \
    -e "s/##MYSQL_PASSWORD/${MYSQL_PASSWORD}/g" \
    -e "s/##MYSQL_DATABASE/${MYSQL_DATABASE}/g" \
    -e "s/##MAIL_SERVER/${MAIL_SMTP_SERVER}/g" \
    -e "s/##MAIL_FROM/${MAIL_SMTP_USERNAME}@${MAIL_DOMAIN}/g" \
    /home/cloudron/app.ini.template > "/home/cloudron/gogs/custom/conf/app.ini"

chown -R cloudron.cloudron /app/data

/home/cloudron/gogs/gogs web

